[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPicture.RegisterFileFormat

Registers a new TGraphic class for use in LoadFromFile.

## Declaration

Source position: graphics.pp line 931

`public class procedure TPicture.RegisterFileFormat(`
`const AnExtension: string;`
`const ADescription: string;`
`AGraphicClass: TGraphicClass`
`);`